import { Type } from '@angular/core';
import { DataTexture, Mapping, PixelFormat, TextureDataType, TextureEncoding, TextureFilter, Wrapping } from 'three';
import { ThTexture } from './ThTexture';
import * as i0 from "@angular/core";
export declare class ThDataTexture<T extends DataTexture = DataTexture, TARGS = [
    data?: BufferSource | null,
    width?: number,
    height?: number,
    format?: PixelFormat,
    type?: TextureDataType,
    mapping?: Mapping,
    wrapS?: Wrapping,
    wrapT?: Wrapping,
    magFilter?: TextureFilter,
    minFilter?: TextureFilter,
    anisotropy?: number,
    encoding?: TextureEncoding
]> extends ThTexture<T, TARGS> {
    getType(): Type<DataTexture>;
    set flipY(value: boolean);
    set generateMipmaps(value: boolean);
    set unpackAlignment(value: number);
    set format(value: PixelFormat);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThDataTexture<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThDataTexture<any, any>, "th-dataTexture", never, { "flipY": "flipY"; "generateMipmaps": "generateMipmaps"; "unpackAlignment": "unpackAlignment"; "format": "format"; }, {}, never, never, false, never>;
}
