import { Type } from '@angular/core';
import { ColorRepresentation, DirectionalLight, DirectionalLightShadow, Object3D, Vector3 } from 'three';
import { ThLight } from './ThLight';
import * as i0 from "@angular/core";
export declare class ThDirectionalLight<T extends DirectionalLight = DirectionalLight, TARGS = [color?: ColorRepresentation, intensity?: number]> extends ThLight<T, TARGS> {
    getType(): Type<DirectionalLight>;
    set type(value: string);
    set position(value: Vector3 | [x: number, y: number, z: number]);
    set target(value: Object3D);
    set intensity(value: number);
    set shadow(value: DirectionalLightShadow);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThDirectionalLight<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThDirectionalLight<any, any>, "th-directionalLight", never, { "type": "type"; "position": "position"; "target": "target"; "intensity": "intensity"; "shadow": "shadow"; }, {}, never, never, false, never>;
}
