import { Type } from '@angular/core';
import { ColorRepresentation, DirectionalLight, DirectionalLightHelper, Event, Line, Matrix4 } from 'three';
import { ThObject3D } from './ThObject3D';
import * as i0 from "@angular/core";
export declare class ThDirectionalLightHelper<T extends DirectionalLightHelper = DirectionalLightHelper, TARGS = [light: DirectionalLight, size?: number, color?: ColorRepresentation]> extends ThObject3D<Event, T, TARGS> {
    getType(): Type<DirectionalLightHelper>;
    set light(value: DirectionalLight);
    set lightPlane(value: Line);
    set targetLine(value: Line);
    set color(value: ColorRepresentation | undefined);
    set matrix(value: Matrix4 | [
        n11: number,
        n12: number,
        n13: number,
        n14: number,
        n21: number,
        n22: number,
        n23: number,
        n24: number,
        n31: number,
        n32: number,
        n33: number,
        n34: number,
        n41: number,
        n42: number,
        n43: number,
        n44: number
    ]);
    set matrixAutoUpdate(value: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThDirectionalLightHelper<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThDirectionalLightHelper<any, any>, "th-directionalLightHelper", never, { "light": "light"; "lightPlane": "lightPlane"; "targetLine": "targetLine"; "color": "color"; "matrix": "matrix"; "matrixAutoUpdate": "matrixAutoUpdate"; }, {}, never, never, false, never>;
}
