import { Type } from '@angular/core';
import { Color, ColorRepresentation, HemisphereLight, Vector3 } from 'three';
import { ThLight } from './ThLight';
import * as i0 from "@angular/core";
export declare class ThHemisphereLight<T extends HemisphereLight = HemisphereLight, TARGS = [
    skyColor?: ColorRepresentation,
    groundColor?: ColorRepresentation,
    intensity?: number
]> extends ThLight<T, TARGS> {
    getType(): Type<HemisphereLight>;
    set type(value: string);
    set position(value: Vector3 | [x: number, y: number, z: number]);
    set groundColor(value: Color | [color: ColorRepresentation]);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThHemisphereLight<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThHemisphereLight<any, any>, "th-hemisphereLight", never, { "type": "type"; "position": "position"; "groundColor": "groundColor"; }, {}, never, never, false, never>;
}
