import { Type } from '@angular/core';
import { ColorRepresentation, Event, HemisphereLight, HemisphereLightHelper, Matrix4, MeshBasicMaterial } from 'three';
import { ThObject3D } from './ThObject3D';
import * as i0 from "@angular/core";
export declare class ThHemisphereLightHelper<T extends HemisphereLightHelper = HemisphereLightHelper, TARGS = [light: HemisphereLight, size: number, color?: ColorRepresentation]> extends ThObject3D<Event, T, TARGS> {
    getType(): Type<HemisphereLightHelper>;
    set light(value: HemisphereLight);
    set matrix(value: Matrix4 | [
        n11: number,
        n12: number,
        n13: number,
        n14: number,
        n21: number,
        n22: number,
        n23: number,
        n24: number,
        n31: number,
        n32: number,
        n33: number,
        n34: number,
        n41: number,
        n42: number,
        n43: number,
        n44: number
    ]);
    set matrixAutoUpdate(value: boolean);
    set material(value: MeshBasicMaterial);
    set color(value: ColorRepresentation | undefined);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThHemisphereLightHelper<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThHemisphereLightHelper<any, any>, "th-hemisphereLightHelper", never, { "light": "light"; "matrix": "matrix"; "matrixAutoUpdate": "matrixAutoUpdate"; "material": "material"; "color": "color"; }, {}, never, never, false, never>;
}
