import { Type } from '@angular/core';
import { Color, ColorRepresentation, MeshMatcapMaterial, MeshMatcapMaterialParameters, NormalMapTypes, Texture, Vector2 } from 'three';
import { ThMaterial } from './ThMaterial';
import * as i0 from "@angular/core";
export declare class ThMeshMatcapMaterial<T extends MeshMatcapMaterial = MeshMatcapMaterial, TARGS = MeshMatcapMaterialParameters> extends ThMaterial<T, TARGS> {
    getType(): Type<MeshMatcapMaterial>;
    set type(value: string);
    set defines(value: {
        [key: string]: any;
    });
    set color(value: Color | [color: ColorRepresentation]);
    set matcap(value: Texture | null);
    set map(value: Texture | null);
    set bumpMap(value: Texture | null);
    set bumpScale(value: number);
    set normalMap(value: Texture | null);
    set normalMapType(value: NormalMapTypes);
    set normalScale(value: Vector2 | [x: number, y: number]);
    set displacementMap(value: Texture | null);
    set displacementScale(value: number);
    set displacementBias(value: number);
    set alphaMap(value: Texture | null);
    set flatShading(value: boolean);
    set fog(value: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThMeshMatcapMaterial<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThMeshMatcapMaterial<any, any>, "th-meshMatcapMaterial", never, { "type": "type"; "defines": "defines"; "color": "color"; "matcap": "matcap"; "map": "map"; "bumpMap": "bumpMap"; "bumpScale": "bumpScale"; "normalMap": "normalMap"; "normalMapType": "normalMapType"; "normalScale": "normalScale"; "displacementMap": "displacementMap"; "displacementScale": "displacementScale"; "displacementBias": "displacementBias"; "alphaMap": "alphaMap"; "flatShading": "flatShading"; "fog": "fog"; }, {}, never, never, false, never>;
}
