import { Type } from '@angular/core';
import { Color, ColorRepresentation, MeshPhysicalMaterial, MeshPhysicalMaterialParameters, Texture, Vector2 } from 'three';
import { ThMeshStandardMaterial } from './ThMeshStandardMaterial';
import * as i0 from "@angular/core";
export declare class ThMeshPhysicalMaterial<T extends MeshPhysicalMaterial = MeshPhysicalMaterial, TARGS = MeshPhysicalMaterialParameters> extends ThMeshStandardMaterial<T, TARGS> {
    getType(): Type<MeshPhysicalMaterial>;
    set type(value: string);
    set defines(value: {
        [key: string]: any;
    });
    set clearcoat(value: number);
    set clearcoatMap(value: Texture | null);
    set clearcoatRoughness(value: number);
    set clearcoatRoughnessMap(value: Texture | null);
    set clearcoatNormalScale(value: Vector2 | [x: number, y: number]);
    set clearcoatNormalMap(value: Texture | null);
    set reflectivity(value: number);
    set ior(value: number);
    set sheen(value: number);
    set sheenColor(value: Color | [color: ColorRepresentation]);
    set sheenColorMap(value: Texture | null);
    set sheenRoughness(value: number);
    set sheenRoughnessMap(value: Texture | null);
    set transmission(value: number);
    set transmissionMap(value: Texture | null);
    set thickness(value: number);
    set thicknessMap(value: Texture | null);
    set attenuationDistance(value: number);
    set attenuationColor(value: Color | [color: ColorRepresentation]);
    set specularIntensity(value: number);
    set specularColor(value: Color | [color: ColorRepresentation]);
    set specularIntensityMap(value: Texture | null);
    set specularColorMap(value: Texture | null);
    set iridescenceMap(value: Texture | null);
    set iridescenceIOR(value: number);
    set iridescence(value: number);
    set iridescenceThicknessRange(value: number[]);
    set iridescenceThicknessMap(value: Texture | null);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThMeshPhysicalMaterial<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThMeshPhysicalMaterial<any, any>, "th-meshPhysicalMaterial", never, { "type": "type"; "defines": "defines"; "clearcoat": "clearcoat"; "clearcoatMap": "clearcoatMap"; "clearcoatRoughness": "clearcoatRoughness"; "clearcoatRoughnessMap": "clearcoatRoughnessMap"; "clearcoatNormalScale": "clearcoatNormalScale"; "clearcoatNormalMap": "clearcoatNormalMap"; "reflectivity": "reflectivity"; "ior": "ior"; "sheen": "sheen"; "sheenColor": "sheenColor"; "sheenColorMap": "sheenColorMap"; "sheenRoughness": "sheenRoughness"; "sheenRoughnessMap": "sheenRoughnessMap"; "transmission": "transmission"; "transmissionMap": "transmissionMap"; "thickness": "thickness"; "thicknessMap": "thicknessMap"; "attenuationDistance": "attenuationDistance"; "attenuationColor": "attenuationColor"; "specularIntensity": "specularIntensity"; "specularColor": "specularColor"; "specularIntensityMap": "specularIntensityMap"; "specularColorMap": "specularColorMap"; "iridescenceMap": "iridescenceMap"; "iridescenceIOR": "iridescenceIOR"; "iridescence": "iridescence"; "iridescenceThicknessRange": "iridescenceThicknessRange"; "iridescenceThicknessMap": "iridescenceThicknessMap"; }, {}, never, never, false, never>;
}
