import { Type } from '@angular/core';
import { Color, ColorRepresentation, MeshToonMaterial, MeshToonMaterialParameters, NormalMapTypes, Texture, Vector2 } from 'three';
import { ThMaterial } from './ThMaterial';
import * as i0 from "@angular/core";
export declare class ThMeshToonMaterial<T extends MeshToonMaterial = MeshToonMaterial, TARGS = MeshToonMaterialParameters> extends ThMaterial<T, TARGS> {
    getType(): Type<MeshToonMaterial>;
    set type(value: string);
    set defines(value: {
        [key: string]: any;
    });
    set color(value: Color | [color: ColorRepresentation]);
    set gradientMap(value: Texture | null);
    set map(value: Texture | null);
    set lightMap(value: Texture | null);
    set lightMapIntensity(value: number);
    set aoMap(value: Texture | null);
    set aoMapIntensity(value: number);
    set emissive(value: Color | [color: ColorRepresentation]);
    set emissiveIntensity(value: number);
    set emissiveMap(value: Texture | null);
    set bumpMap(value: Texture | null);
    set bumpScale(value: number);
    set normalMap(value: Texture | null);
    set normalMapType(value: NormalMapTypes);
    set normalScale(value: Vector2 | [x: number, y: number]);
    set displacementMap(value: Texture | null);
    set displacementScale(value: number);
    set displacementBias(value: number);
    set alphaMap(value: Texture | null);
    set wireframe(value: boolean);
    set wireframeLinewidth(value: number);
    set wireframeLinecap(value: string);
    set wireframeLinejoin(value: string);
    set fog(value: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThMeshToonMaterial<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThMeshToonMaterial<any, any>, "th-meshToonMaterial", never, { "type": "type"; "defines": "defines"; "color": "color"; "gradientMap": "gradientMap"; "map": "map"; "lightMap": "lightMap"; "lightMapIntensity": "lightMapIntensity"; "aoMap": "aoMap"; "aoMapIntensity": "aoMapIntensity"; "emissive": "emissive"; "emissiveIntensity": "emissiveIntensity"; "emissiveMap": "emissiveMap"; "bumpMap": "bumpMap"; "bumpScale": "bumpScale"; "normalMap": "normalMap"; "normalMapType": "normalMapType"; "normalScale": "normalScale"; "displacementMap": "displacementMap"; "displacementScale": "displacementScale"; "displacementBias": "displacementBias"; "alphaMap": "alphaMap"; "wireframe": "wireframe"; "wireframeLinewidth": "wireframeLinewidth"; "wireframeLinecap": "wireframeLinecap"; "wireframeLinejoin": "wireframeLinejoin"; "fog": "fog"; }, {}, never, never, false, never>;
}
