import { Type } from '@angular/core';
import { AnimationClip, BaseEvent, BufferGeometry, Camera, Euler, EulerOrder, Event, Group, Layers, Material, Matrix3, Matrix4, Object3D, Quaternion, Scene, Vector3, WebGLRenderer } from 'three';
import { ThObjectBase } from '../ThObjectBase';
import * as i0 from "@angular/core";
export declare class ThObject3D<E extends BaseEvent = Event, T extends Object3D<E> = Object3D<E>, TARGS = []> extends ThObjectBase<T, TARGS> {
    getType(): Type<Object3D<E>>;
    set id(value: number);
    set uuid(value: string);
    set name(value: string);
    set type(value: string);
    set children(value: Object3D[]);
    set up(value: Vector3 | [x: number, y: number, z: number]);
    set position(value: Vector3 | [x: number, y: number, z: number]);
    set rotation(value: Euler | [x: number, y: number, z: number, order?: EulerOrder]);
    set quaternion(value: Quaternion | [x: number, y: number, z: number, w: number]);
    set scale(value: Vector3 | [x: number, y: number, z: number]);
    set modelViewMatrix(value: Matrix4 | [
        n11: number,
        n12: number,
        n13: number,
        n14: number,
        n21: number,
        n22: number,
        n23: number,
        n24: number,
        n31: number,
        n32: number,
        n33: number,
        n34: number,
        n41: number,
        n42: number,
        n43: number,
        n44: number
    ]);
    set normalMatrix(value: Matrix3 | [
        n11: number,
        n12: number,
        n13: number,
        n21: number,
        n22: number,
        n23: number,
        n31: number,
        n32: number,
        n33: number
    ]);
    set matrix(value: Matrix4 | [
        n11: number,
        n12: number,
        n13: number,
        n14: number,
        n21: number,
        n22: number,
        n23: number,
        n24: number,
        n31: number,
        n32: number,
        n33: number,
        n34: number,
        n41: number,
        n42: number,
        n43: number,
        n44: number
    ]);
    set matrixWorld(value: Matrix4 | [
        n11: number,
        n12: number,
        n13: number,
        n14: number,
        n21: number,
        n22: number,
        n23: number,
        n24: number,
        n31: number,
        n32: number,
        n33: number,
        n34: number,
        n41: number,
        n42: number,
        n43: number,
        n44: number
    ]);
    set matrixAutoUpdate(value: boolean);
    set matrixWorldAutoUpdate(value: boolean);
    set matrixWorldNeedsUpdate(value: boolean);
    set layers(value: Layers | [channel: number]);
    set visible(value: boolean);
    set castShadow(value: boolean);
    set receiveShadow(value: boolean);
    set frustumCulled(value: boolean);
    set renderOrder(value: number);
    set animations(value: AnimationClip[]);
    set userData(value: {
        [key: string]: any;
    });
    set customDepthMaterial(value: Material);
    set customDistanceMaterial(value: Material);
    set onBeforeRender(value: (renderer: WebGLRenderer, scene: Scene, camera: Camera, geometry: BufferGeometry, material: Material, group: Group) => void);
    set onAfterRender(value: (renderer: WebGLRenderer, scene: Scene, camera: Camera, geometry: BufferGeometry, material: Material, group: Group) => void);
    constructor(parent: ThObject3D);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThObject3D<any, any, any>, [{ skipSelf: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThObject3D<any, any, any>, "th-object3D", never, { "id": "id"; "uuid": "uuid"; "name": "name"; "type": "type"; "children": "children"; "up": "up"; "position": "position"; "rotation": "rotation"; "quaternion": "quaternion"; "scale": "scale"; "modelViewMatrix": "modelViewMatrix"; "normalMatrix": "normalMatrix"; "matrix": "matrix"; "matrixWorld": "matrixWorld"; "matrixAutoUpdate": "matrixAutoUpdate"; "matrixWorldAutoUpdate": "matrixWorldAutoUpdate"; "matrixWorldNeedsUpdate": "matrixWorldNeedsUpdate"; "layers": "layers"; "visible": "visible"; "castShadow": "castShadow"; "receiveShadow": "receiveShadow"; "frustumCulled": "frustumCulled"; "renderOrder": "renderOrder"; "animations": "animations"; "userData": "userData"; "customDepthMaterial": "customDepthMaterial"; "customDistanceMaterial": "customDistanceMaterial"; "onBeforeRender": "onBeforeRender"; "onAfterRender": "onAfterRender"; }, {}, never, never, false, never>;
}
