import { Type } from '@angular/core';
import { ColorRepresentation, Event, Matrix4, PointLight, PointLightHelper } from 'three';
import { ThObject3D } from './ThObject3D';
import * as i0 from "@angular/core";
export declare class ThPointLightHelper<T extends PointLightHelper = PointLightHelper, TARGS = [light: PointLight, sphereSize?: number, color?: ColorRepresentation]> extends ThObject3D<Event, T, TARGS> {
    getType(): Type<PointLightHelper>;
    set type(value: string);
    set light(value: PointLight);
    set color(value: ColorRepresentation | undefined);
    set matrix(value: Matrix4 | [
        n11: number,
        n12: number,
        n13: number,
        n14: number,
        n21: number,
        n22: number,
        n23: number,
        n24: number,
        n31: number,
        n32: number,
        n33: number,
        n34: number,
        n41: number,
        n42: number,
        n43: number,
        n44: number
    ]);
    set matrixAutoUpdate(value: boolean);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThPointLightHelper<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThPointLightHelper<any, any>, "th-pointLightHelper", never, { "type": "type"; "light": "light"; "color": "color"; "matrix": "matrix"; "matrixAutoUpdate": "matrixAutoUpdate"; }, {}, never, never, false, never>;
}
