import { Type } from '@angular/core';
import { Camera, ColorRepresentation, Scene, ShaderMaterial, WebGLRenderTarget } from 'three';
import { FullScreenQuad } from 'three/examples/jsm/postprocessing/Pass';
import { SSAARenderPass } from 'three/examples/jsm/postprocessing/SSAARenderPass';
import { ThPass } from './ThPass';
import * as i0 from "@angular/core";
export declare class ThSSAARenderPass<T extends SSAARenderPass = SSAARenderPass, TARGS = [
    scene: Scene,
    camera: Camera,
    clearColor?: ColorRepresentation,
    clearAlpha?: number
]> extends ThPass<T, TARGS> {
    getType(): Type<SSAARenderPass>;
    set scene(value: Scene);
    set camera(value: Camera);
    set sampleLevel(value: number);
    set unbiased(value: boolean);
    set clearColor(value: ColorRepresentation);
    set clearAlpha(value: number);
    set copyUniforms(value: object);
    set copyMaterial(value: ShaderMaterial);
    set fsQuad(value: FullScreenQuad);
    set sampleRenderTarget(value: undefined | WebGLRenderTarget);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThSSAARenderPass<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThSSAARenderPass<any, any>, "th-sSAARenderPass", never, { "scene": "scene"; "camera": "camera"; "sampleLevel": "sampleLevel"; "unbiased": "unbiased"; "clearColor": "clearColor"; "clearAlpha": "clearAlpha"; "copyUniforms": "copyUniforms"; "copyMaterial": "copyMaterial"; "fsQuad": "fsQuad"; "sampleRenderTarget": "sampleRenderTarget"; }, {}, never, never, false, never>;
}
