import { Type } from '@angular/core';
import { Camera, Color, ColorRepresentation, DataTexture, MeshNormalMaterial, Scene, ShaderMaterial, Vector3, WebGLRenderTarget } from 'three';
import { FullScreenQuad } from 'three/examples/jsm/postprocessing/Pass';
import { SSAOPass, SSAOPassOUTPUT } from 'three/examples/jsm/postprocessing/SSAOPass';
import { ThPass } from './ThPass';
import * as i0 from "@angular/core";
export declare class ThSSAOPass<T extends SSAOPass = SSAOPass, TARGS = [scene: Scene, camera: Camera, width?: number, height?: number]> extends ThPass<T, TARGS> {
    getType(): Type<SSAOPass>;
    set scene(value: Scene);
    set camera(value: Camera);
    set width(value: number);
    set height(value: boolean);
    set clear(value: boolean);
    set kernelRadius(value: number);
    set kernelSize(value: number);
    set kernel(value: Vector3[]);
    set noiseTexture(value: DataTexture);
    set output(value: SSAOPassOUTPUT);
    set minDistance(value: number);
    set maxDistance(value: number);
    set beautyRenderTarget(value: WebGLRenderTarget);
    set normalRenderTarget(value: WebGLRenderTarget);
    set ssaoRenderTarget(value: WebGLRenderTarget);
    set blurRenderTarget(value: WebGLRenderTarget);
    set ssaoMaterial(value: ShaderMaterial);
    set normalMaterial(value: MeshNormalMaterial);
    set blurMaterial(value: ShaderMaterial);
    set depthRenderMaterial(value: ShaderMaterial);
    set copyMaterial(value: ShaderMaterial);
    set fsQuad(value: FullScreenQuad);
    set originalClearColor(value: Color | [color: ColorRepresentation]);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThSSAOPass<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThSSAOPass<any, any>, "th-sSAOPass", never, { "scene": "scene"; "camera": "camera"; "width": "width"; "height": "height"; "clear": "clear"; "kernelRadius": "kernelRadius"; "kernelSize": "kernelSize"; "kernel": "kernel"; "noiseTexture": "noiseTexture"; "output": "output"; "minDistance": "minDistance"; "maxDistance": "maxDistance"; "beautyRenderTarget": "beautyRenderTarget"; "normalRenderTarget": "normalRenderTarget"; "ssaoRenderTarget": "ssaoRenderTarget"; "blurRenderTarget": "blurRenderTarget"; "ssaoMaterial": "ssaoMaterial"; "normalMaterial": "normalMaterial"; "blurMaterial": "blurMaterial"; "depthRenderMaterial": "depthRenderMaterial"; "copyMaterial": "copyMaterial"; "fsQuad": "fsQuad"; "originalClearColor": "originalClearColor"; }, {}, never, never, false, never>;
}
