import { Type } from '@angular/core';
import { Mapping, Matrix3, OffscreenCanvas, PixelFormat, PixelFormatGPU, Source, Texture, TextureDataType, TextureEncoding, TextureFilter, Vector2, Wrapping } from 'three';
import { ThTextureBase } from '../ThTextureBase';
import * as i0 from "@angular/core";
export declare class ThTexture<T extends Texture = Texture, TARGS = [
    image?: TexImageSource | OffscreenCanvas,
    mapping?: Mapping,
    wrapS?: Wrapping,
    wrapT?: Wrapping,
    magFilter?: TextureFilter,
    minFilter?: TextureFilter,
    format?: PixelFormat,
    type?: TextureDataType,
    anisotropy?: number,
    encoding?: TextureEncoding
]> extends ThTextureBase<T, TARGS> {
    getType(): Type<Texture>;
    set id(value: number);
    set uuid(value: string);
    set name(value: string);
    set sourceFile(value: string);
    set source(value: Source);
    set mipmaps(value: any[]);
    set mapping(value: Mapping);
    set wrapS(value: Wrapping);
    set wrapT(value: Wrapping);
    set magFilter(value: TextureFilter);
    set minFilter(value: TextureFilter);
    set anisotropy(value: number);
    set format(value: PixelFormat);
    set internalFormat(value: PixelFormatGPU | null);
    set type(value: TextureDataType);
    set matrix(value: Matrix3 | [
        n11: number,
        n12: number,
        n13: number,
        n21: number,
        n22: number,
        n23: number,
        n31: number,
        n32: number,
        n33: number
    ]);
    set matrixAutoUpdate(value: boolean);
    set offset(value: Vector2 | [x: number, y: number]);
    set repeat(value: Vector2 | [x: number, y: number]);
    set center(value: Vector2 | [x: number, y: number]);
    set rotation(value: number);
    set generateMipmaps(value: boolean);
    set premultiplyAlpha(value: boolean);
    set flipY(value: boolean);
    set unpackAlignment(value: number);
    set encoding(value: TextureEncoding);
    set isRenderTargetTexture(value: boolean);
    set needsPMREMUpdate(value: boolean);
    set userData(value: any);
    set version(value: number);
    static ɵfac: i0.ɵɵFactoryDeclaration<ThTexture<any, any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ThTexture<any, any>, "th-texture", never, { "id": "id"; "uuid": "uuid"; "name": "name"; "sourceFile": "sourceFile"; "source": "source"; "mipmaps": "mipmaps"; "mapping": "mapping"; "wrapS": "wrapS"; "wrapT": "wrapT"; "magFilter": "magFilter"; "minFilter": "minFilter"; "anisotropy": "anisotropy"; "format": "format"; "internalFormat": "internalFormat"; "type": "type"; "matrix": "matrix"; "matrixAutoUpdate": "matrixAutoUpdate"; "offset": "offset"; "repeat": "repeat"; "center": "center"; "rotation": "rotation"; "generateMipmaps": "generateMipmaps"; "premultiplyAlpha": "premultiplyAlpha"; "flipY": "flipY"; "unpackAlignment": "unpackAlignment"; "encoding": "encoding"; "isRenderTargetTexture": "isRenderTargetTexture"; "needsPMREMUpdate": "needsPMREMUpdate"; "userData": "userData"; "version": "version"; }, {}, never, never, false, never>;
}
